/**
*   定义函数模块
*	
**/
(function(){
		//存放模块
		var moduleMaps = {};
		//定义引入的JS 文件
		var fileMaps = {};
		var applyMethod = function () {
		};
		//日志信息
		var log = function(content){
			if(typeof console.log === 'function'){
				console.log(content);
			}else{
				alert(content);
			}
		}
		
		window.iQuickUI = {
			//定义函数名称，依赖某个类，执行方法
			define: function(name,deps,callback){
				//判断模块名字是否存在，如果不存在，那么加入到模块数组中
				if(!moduleMaps[name]){
					//暂时定义这几个属性，如果需要在进行扩展
					var module = {
						name:name,
						deps:deps,
						callback:callback
					};
					moduleMaps[name] = module;
				}
				return moduleMaps[name];
			},
			
			
			
			//使用模块,先根据名字取出模块来调用
			useModule:function(name){
				var module = moduleMaps[name];
				if(!module){
					log("模块加载出错........" + name);
					return;
				}
				// 判断entity属性是否存在
				if(!module.entity){
					var params = [];
					for(var i = 0;i < module.deps.length;i++){
						//判断模块名称是否在数组中
						if (moduleMaps[module.deps[i]].entity) {
							params.push(moduleMaps[module.deps[i]].entity);
						}else{
							params.push(this.useModule(module.deps[i]));
						}
					}
					module.entity = module.callback.apply(applyMethod, params);
				}
				return module.entity;
			},
			
			//加载JS文件，根据实际需求来进行加载
			// filePaths 是引入文件的数组
			require:function(filePaths,callBack){
				for(var i = 0; i < filePaths.length;i++){
					var filePath = filePaths[i];
					//如果不存在，那么加入
					if(!fileMaps[filePath]){
						 var head = document.getElementsByTagName('head')[0];
						 var s = document.createElement('script');
						 s.type = 'text/javascript';
						 //可以进行异步加载JS 文件，避免dom的渲染
						 s.async = 'true';
						 s.src = filePath + '.js';
						 //避免因网络延迟原因，造成文件变量被重写
						 s.text = filePath;
						 s.onload = function () {
							log("加载文件:" + this.text);
							fileMaps[this.text] = true;
							checkAllFiles();
						 };
						 head.appendChild(s);
					}
				}
				
				
				//检查文件,如果存在，那么执行回调函数
				function checkAllFiles() {
						var allLoaded = true;
						for (var i = 0; i < filePaths.length; i++) {
							if (!fileMaps[filePaths[i]]) {
								allLoaded = false;
								break;
							}
						}
						if (allLoaded && callBack) {
							log("加载回调函数");
							callBack();
						}
				}
			}
		};
		
		
})();

iQuickUI.define("baseCore","",function(){
		return{	
				//根据ID来获取节点信息
				getDom : function(selector){
					return document.querySelector(selector);
				}
		};
});

