;iQuickUI.define("moduleIprocess", ["baseCore"], function(baseCore){
	var rhtml = '<div class="ipr_circle transition1"><div class="ipr_pie_left"><div class="ipr_left"></div></div>'+
        		'<div class="ipr_pie_right"><div class="ipr_right"></div></div>'+
        		'<div class="ipr_mask"><span class="ipr_zi">0</span>%</div></div>'+
				'<div class="ipr_bu"></div>';
				
	var lhtml = '';
	
	var timemap = {a:"a"};

	/**
	 * 设置进度条的值，以及进度条css的状态等
	 * @param {Object} v 进度条的值（0-100）
	 */
	var setVal = function setVal(v,dom){
		
		if(isNaN(v))v=101;
		else if(v<0)v=0;
		else if(v>100)v=100;
		
		var l = dom.children[0].children[0].children[0];
		var r = dom.children[0].children[1].children[0];
		var z = dom.children[0].children[2].children[0];
		
		
		if(v<50){
			r.style.transform = "rotate("+((v*3.6)-180)+"deg)";
			l.style.transform = "rotate(-180deg)";
			r.style.webkitTransform = "rotate("+((v*3.6)-180)+"deg)";
			l.style.webkitTransform = "rotate(-180deg)";
		}else{
			l.style.transform = "rotate("+((v*3.6)-360)+"deg)";
			r.style.transform = "rotate(0deg)";
			l.style.webkitTransform = "rotate("+((v*3.6)-360)+"deg)";
			r.style.webkitTransform = "rotate(0deg)";
		}

		z.innerText=v;

		if (v >= 100) {
			stop(dom);
		};
	}
	
	/**
	 * 进度条出现时，将不停的循环调用此方法，直到100%
	 */
	var play = function(fun,dom){
		setVal(fun(),dom);
	}
	
	/**
	 * 停止play方法的循环执行,并销毁进度条对象
	 */
	var stop = function(dom){
		//window.clearInterval(timemap[dom.getAttribute("data-iprtime")]);
		//dom.children[0].remove();
		dom.innerHTML="";
	}
	
	/**
	 * 初始化方法，将进度条显示在页面中，并且开始循环调用指定的函数，直到值>=100
	 * @param {Object} fun 不停循环调用的方法
	 * @param {Object} processType	进度条的样式 1长条形 2圆形
	 * @param {Object} dom 指定的dom元素
	 */
	var init = function(fun,processType,dom){
		if(dom == null){
				dom = document.createElement("div");
				dom.className = "ipr_circle transition1";
			}
		if(processType==1){//1为长条状的进度条
			
		}else{//其他均为圆形
			//创建进度条加入到body中
			dom.innerHTML = rhtml;
		}
		//显示进度条
		dom.style.opacity = 1;
		//启动不断调用的函数
		var n = 0;
		for(i in timemap){
			n++;
		}

		dom.setAttribute("data-iprtime",n);
		//time1 = window.setInterval(function(){play(fun,dom)},50);
		//timemap[n]=time1;
	}
	
	return {
		init:init,
		stop:stop,
		setVal:setVal
	}
});