/**
 *  首页图片滑动
 */

var contentSilder = function(selector,func){
	console.log("selectors:" + selector);
	this.dom = selector;
	//滑动的个数
	this.maxPoint = document.querySelectorAll("#"+selector+" .sliderDiv").length;
	
	console.log("maxPoint:" + this.maxPoint);
	
	//每个页面的宽度
	this.pageWidth = document.body.offsetWidth;
	//当前对应的位置
	this.currentPoint = 0;
	//起点X
	this.startX = 0;
	//上一次移动的距离
	this.currentMoveX = 0;
	//当前移动的距离
	this.moveX = 0;
	//回调函数
	this.func = func;
	this.init();
}

/**
 *  定义一些方法
 */
contentSilder.prototype = {
	init:function(){
//		var outer = document.querySelector("#" + this.dom);
//		outer.addEventListener('touchstart', this);
//		outer.addEventListener('touchmove', this);
//		outer.addEventListener('touchend', this);

		var divSilder = document.querySelectorAll("#sliderList .sliderDiv");
		for(var i = 0;i < divSilder.length;i++){
			divSilder[i].addEventListener('touchstart', this);
			divSilder[i].addEventListener('touchmove', this);
			divSilder[i].addEventListener('touchend', this);
		}


	},
	
	handleEvent: function(event) {
		console.log(event.type);
		switch (event.type) {
			case 'touchstart':
				this.startHandler(event);
				break;
			case 'touchmove':
				this.moveHandler(event);
				break;
			case 'touchend':
				this.endHandler(event);
				break;	
		}
	},
	
	startHandler:function(event){
		this.startX =  event.touches[0].pageX;
	},
	
	moveHandler:function(event){
		this.moveX = event.touches[0].pageX - this.startX;
		//锁定
		if(this.moveX != 0){
			event.preventDefault();
			event.stopPropagation();
		}
		var realMoveX = this.currentMoveX + this.moveX;
		console.log("content_realMoveX:" + realMoveX);
		document.querySelector("#" + this.dom).style.webkitTransition = '-webkit-transform 0s';
		document.querySelector("#" + this.dom).style.webkitTransform = 'translate3d(' + realMoveX + 'px, 0, 0)';
	},
	
	endHandler:function(event){
		
		//从右往左边滑动
		if (this.moveX < 0) {
			this.currentPoint++;
			this.moveX = -(this.pageWidth * this.currentPoint);
			//判断是不是到结尾了
			if(this.currentPoint >= this.maxPoint){
				this.currentPoint = this.maxPoint;
				this.moveX = -(this.pageWidth * (this.currentPoint-1));
				this.currentPoint--;
			}
		}else{
			this.currentPoint--;
			this.moveX = -(this.pageWidth * this.currentPoint);
			//判断是不是到了第一个
			if(this.currentPoint < 0){
				this.currentPoint = 0;
				this.moveX = 0;
			}
		}
		this.currentMoveX = this.moveX;
		
		console.log("this.moveX:" + this.moveX);
		
		document.querySelector("#" + this.dom).style.webkitTransition = '-webkit-transform 0.2s';
		document.querySelector("#" + this.dom).style.webkitTransform = 'translate3d(' + this.moveX + 'px, 0, 0)';
		
		this.func(this.currentPoint);
		
	}
	
	
}
