/**
 *  首页图片滑动
 */

var conSilder = function(selector,nextItem,callBackFunc){
	appLog("selector:" + selector + "   nextItem:" + nextItem);
	this.dom = selector;
	this.nextDom = nextItem;
	//滑动的个数
	this.maxPoint = document.querySelectorAll(this.dom+" .sliderDiv").length;
	appLog("maxPoint:" + this.maxPoint);
	//每个页面的宽度
	this.pageWidth = document.body.offsetWidth;
	//当前对应的位置
	this.currentPoint = 0;
	//起点X
	this.startX = 0;
	//上一次移动的距离
	this.currentMoveX = 0;
	//当前移动的距离
	this.moveX = 0;
	//回调函数
	this.callBackFunc = callBackFunc;
	this.init();
}

/**
 *  定义一些方法
 */
conSilder.prototype = {
	init:function(){
		var outer = document.querySelectorAll(this.dom + " .mySlider");
		appLog("conSilder.length:" + outer.length);
		for(var i = 0;i<outer.length;i++){
			outer[i].addEventListener('touchstart', this,false);
			outer[i].addEventListener('touchmove', this,false);
			outer[i].addEventListener('touchend', this,false);
		}

	
	
	},
	
	handleEvent: function(event) {
		switch (event.type) {
			case 'touchstart':
				this.startHandler(event);
				break;
			case 'touchmove':
				this.moveHandler(event);
				break;
			case 'touchend':
				this.endHandler(event);
				break;	
		}
	},
	
	startHandler:function(event){
		this.startX =  event.touches[0].pageX;
	},
	
	moveHandler:function(event){
		this.moveX = event.touches[0].pageX - this.startX;
		//锁定
		if(this.moveX != 0){
//			event.preventDefault();
//			event.stopPropagation();
		}
		var realMoveX = this.currentMoveX + this.moveX;
		appLog("realMoveX:" + realMoveX);
		document.querySelector(this.dom ).style.webkitTransition = '-webkit-transform 0s';
		document.querySelector(this.dom ).style.webkitTransform = 'translate3d(' + realMoveX + 'px, 0, 0)';
	},
	
	endHandler:function(event){
		
		//从右往左边滑动
		if (this.moveX < 0) {
			this.currentPoint++;
			this.moveX = -(this.pageWidth * this.currentPoint);
			//判断是不是到结尾了
			if(this.currentPoint >= this.maxPoint){
				this.currentPoint = this.maxPoint;
				this.moveX = -(this.pageWidth * (this.currentPoint-1));
				this.currentPoint--;
			}
		}else{
			this.currentPoint--;
			this.moveX = -(this.pageWidth * this.currentPoint);
			//判断是不是到了第一个
			if(this.currentPoint < 0){
				this.currentPoint = 0;
				this.moveX = 0;
			}
		}
		this.currentMoveX = this.moveX;
		
		appLog("this.moveX:" + this.moveX);
		
		document.querySelector(this.dom ).style.webkitTransition = '-webkit-transform 0.1s';
		document.querySelector(this.dom ).style.webkitTransform = 'translate3d(' + this.moveX + 'px, 0, 0)';
		
		if(this.callBackFunc){
			this.callBackFunc(this.currentPoint+1);
		}
		
	}
	
	
}
