/**
 *  2014.11.08
 *  Jack.Zhou
 *  新闻首页触摸滑动,由于banner和内容是分开处理，因此不能一起滑动，必须分开滑动，不然容易出现无响应状态
 *  由于这里需要特殊处理，所以不写成库的形式
 */


//最大能需要移动这个距离，如果小雨这个距离，那么回弹回去，大于这个距离才真正翻页
var maxMove = 90;

var $support = {
		transform3d: ('WebKitCSSMatrix' in window),
		touch: ('ontouchstart' in window)
	};

var contentSlider = function(callBackFunc){
	//起始位置
	this.startX = 0;
	
	this.startY = 0;
	
	//最大移动的个数
	this.maxPoint = 0;
	//每次移动的宽度
	this.pageWidth = document.body.offsetWidth;
	//上一次移动的距离
	this.currentMoveX = 0;
	//当前移动的距离
	this.moveX = 0;
	//竖向移动的距离
	this.moveY = 0;
	//当前版块对应的索引位置
	this.currentPoint = 0;
	//内容区域
	this.outer = null;
	//内容上面banner图片区域
	this.slider = null;
	
	//移动方向,横向移动H 竖向移动S
	this.moveType = "H";
	this.init();
}

contentSlider.prototype = {
	/**
	 *  初始化触摸事件
	 */
	init:function(){
		
//2015-06-15注释，前台-新闻资讯列表 不需要滑动		
//		this.outer = document.querySelectorAll(".mySlider");
//		this.slider = document.querySelectorAll(".mui-slider");
//		
//		this.maxPoint = this.outer.length;
//		appLog("Max slider length :" + this.outer.length);
//		//添加触摸事件
//		for(var i = 0;i< this.outer.length;i++){
//				this.outer[i].addEventListener('touchstart', this,false);
//				this.outer[i].addEventListener('touchmove', this,false);
//				this.outer[i].addEventListener('touchend', this,false);
//		}
	},
	
	/**
	 *  根据个数滑动到对应的栏目
	 * @param {Object} indexId
	 */
	moveToPoint:function(indexId){
		this.currentPoint = parseInt(indexId);
		
		
		var moveWidth = -this.pageWidth * indexId;
		this.currentMoveX = moveWidth;
		//同时设置内容和图片一起移动
		for(var i = 0;i< this.outer.length;i++){
				this.outer[i].style.webkitTransition = '-webkit-transform 0.1s';
				this.outer[i].style.webkitTransform = 'translate3d(' + moveWidth + 'px, 0, 0)';
//				this.outer[i].style.webkitTransform = $support.transform3d ? 'translate3d('+moveWidth+'px, 0, 0)' : 'translate('+moveWidth+'px, 0)';
				
		}
		
		for(var i = 0;i< this.slider.length;i++){
					this.slider[i].style.webkitTransition = '-webkit-transform 0.1s';
					this.slider[i].style.webkitTransform = 'translate3d(' + moveWidth + 'px, 0, 0)';
//					this.slider[i].style.webkitTransform = $support.transform3d ? 'translate3d('+moveWidth+'px, 0, 0)' : 'translate('+moveWidth+'px, 0)';
		}
	},
	
	
	//处理触摸事件
	handleEvent:function(event){
		switch (event.type) {
			case 'touchstart':
				this.startHandler(event);
				break;
			case 'touchmove':
				this.moveHandler(event);
				break;
			case 'touchend':
				this.endHandler(event);
				break;
//			case 'mousedown':
//				this.startHandler(event);
//				break;
//			case 'mousemove':
//				this.moveHandler(event);
//				break;
//			case 'mouseup':
//				this.endHandler(event);
//				break;		
						
		}
	},
	
	/**
	 * 开始触摸事件
	 * @param {Object} event
	 */
	startHandler:function(event){
		this.startX = event.touches[0].pageX;
		this.startY = event.touches[0].pageY;

		
//		this.startX = $support.touch ? event.touches[0].pageX : event.pageX;
//		this.startY = $support.touch ? event.touches[0].pageY : event.pageY;

		this.moveType = "H";
		appLog("The startX is :" + this.startX);
	},
	
	/**
	 *  开始移动
	 * @param {Object} event
	 */
	moveHandler:function(event){
		this.moveX = event.touches[0].pageX - this.startX;
		this.moveY = event.touches[0].pageY - this.startY;


//		this.moveX = $support.touch ? event.touches[0].pageX : event.pageX - this.startX;
//		this.moveY = $support.touch ? event.touches[0].pageY : event.pageY - this.startY;
		
		if(Math.abs(this.moveY) > 10 && Math.abs(this.moveY) > Math.abs(this.moveX)){
			this.moveX = 0;
			this.moveType = "S";
		}
		
		if(this.moveType == "S"){
			this.moveX = 0;
		}
		
		
		if(Math.abs(this.moveX) > 0){
			event.preventDefault();
	        event.stopPropagation();
			this.moveY = 0;
		}
		
		
		
		
		
		//滑动到最左边了，直接返回
		if (this.currentPoint == 0 && this.moveX > 0) {
			return;
		}
		
		//滑动到最右边
		if (this.currentPoint == (this.maxPoint-1) && this.moveX < 0) {
			return;
		}
		
		
		
		
		
		
		var realMoveX = this.currentMoveX + this.moveX;
		//同时设置内容和图片一起移动
		for(var i = 0;i< this.outer.length;i++){
				this.outer[i].style.webkitTransition = '-webkit-transform 0s';
				this.outer[i].style.webkitTransform = 'translate3d(' + realMoveX + 'px, 0, 0)';
//				this.outer[i].style.webkitTransform = $support.transform3d ? 'translate3d('+realMoveX+'px, 0, 0)' : 'translate('+realMoveX+'px, 0)';
		}
		
		for(var i = 0;i< this.slider.length;i++){
					this.slider[i].style.webkitTransition = '-webkit-transform 0s';
					this.slider[i].style.webkitTransform = 'translate3d(' + realMoveX + 'px, 0, 0)';
//					this.slider[i].style.webkitTransform = $support.transform3d ? 'translate3d('+realMoveX+'px, 0, 0)' : 'translate('+realMoveX+'px, 0)';
		}
		
		
		
	},
	
	/**
	 *  触摸结束
	 * @param {Object} event
	 */
	endHandler:function(event){
		if(this.moveX == 0){
			return;
		}
		
		if(Math.abs(this.moveX) > 0){
			event.preventDefault();
	        event.stopPropagation();
		}
		//没有超过最大值，直接复位
		if(Math.abs(this.moveX) < maxMove){
			
			var resetMoveX = -(this.pageWidth * this.currentPoint);
			 for (var i = 0; i < this.outer.length; i++) {
	              this.outer[i].style.webkitTransition = '-webkit-transform .1s';
	              this.outer[i].style.webkitTransform = 'translate3d(' + (resetMoveX) + 'px, 0, 0)';
	        	}
        
		     for (var i = 0; i < this.slider.length; i++) {
		            this.slider[i].style.webkitTransition = '-webkit-transform .1s';
		            this.slider[i].style.webkitTransform = 'translate3d(' + (resetMoveX) + 'px, 0, 0)';
		        }
			
			return;
		}
		
		
        
        //从右往左边滑动
        if (this.moveX < 0) {
            this.currentPoint++;
            this.moveX = -(this.pageWidth * this.currentPoint);
            //判断是不是到结尾了
            if (this.currentPoint >= this.maxPoint) {
                this.currentPoint = this.maxPoint;
                this.moveX = -(this.pageWidth * (this.currentPoint - 1));
                this.currentPoint--;
				
				//打开个人中心页面
				//uescript("","open_profile()");
				
				
            }
        }else {
            this.currentPoint--;
            this.moveX = -(this.pageWidth * this.currentPoint);
            //判断是不是到了第一个
            if (this.currentPoint < 0) {
                this.currentPoint = 0;
                this.moveX = 0;
				
				//打开左边侧滑菜单 暂时不用
				//uescript("","move_left()");
				
            }
        }
        this.currentMoveX = this.moveX;
        
       
        for (var i = 0; i < this.outer.length; i++) {
              this.outer[i].style.webkitTransition = '-webkit-transform .1s';
              this.outer[i].style.webkitTransform = 'translate3d(' + this.moveX + 'px, 0, 0)';
//			  this.outer[i].style.webkitTransform = $support.transform3d ? 'translate3d('+this.moveX+'px, 0, 0)' : 'translate('+this.moveX+'px, 0)';
        }
        
        
        for (var i = 0; i < this.slider.length; i++) {
            this.slider[i].style.webkitTransition = '-webkit-transform .1s';
            this.slider[i].style.webkitTransform = 'translate3d(' + this.moveX + 'px, 0, 0)';
//			  this.slider[i].style.webkitTransform = $support.transform3d ? 'translate3d('+this.moveX +'px, 0, 0)' : 'translate('+this.moveX +'px, 0)';
        }
		
	   setLocVal("newsContentMoveX",this.moveX);
       this.moveX = 0;
		
		
       //加载数据
       var indexId = this.currentPoint;
	   
	   
       var divSilder = document.querySelectorAll("#sliderList .ub-fh");
       var divContext = divSilder[indexId].querySelector(".mySlider").innerHTML;
       
	   uescript("", "changeColumnChecked(" + indexId + ")");	
	   
	   getCurrentCheckedData(indexId);
	   
	   
	   setstorage("sliderId","slider" + (indexId + 1));
	   setstorage("newsListId","newsList" + (indexId + 1));
	   
       if (divContext.replace(/(^\s*)|(\s*$)/g, "") == "") {
           console.log("加载进度条");
           Load.loadById("loadingDiv" ,$$("newsContent").offsetHeight);
           showData("slider" + (indexId + 1), "newsList" + (indexId + 1));
       }
	   resetBottomHeight();
	   
       //$$("loadingDiv" + (indexId + 1)).innerHTML = "";
      
	}
}


var mySlider;

/**
 *  初始化
 */
function init(){
	try{
		mySlider = new contentSlider();
		
		mui.init({
	        swipeBack:false,
	        optimize: false,
	        pullRefresh: {
	            container: '#newsContent',
	            down: {
	                contentdown: '下拉可以刷新',
	                contentover: '释放立即刷新',
	                contentrefresh: '正在刷新...',
	                callback:pulldownRefresh
	            },
	            up: {
                    contentdown: '',
                    contentover: '释放立即刷新',
	                contentnomore:'没有更多内容了',
	                contentrefresh: '正在刷新...',
	                callback: pullupRefresh
	            }
	        }
	    });


		
	}catch(e){
		//ignore
		appLog(e);
	}
}


/**
 *  当用户点击栏目时，下面新闻部分跟着切换
 */
function changeTab(index){
	mySlider.moveToPoint(index);
	
	//获取当前选择的栏目的相关信息
	//uescript("","getNewsListByTitle("+index+")");
	
	var indexId =  parseInt(index) + 1;
	var sliderId = "slider" + indexId;
	var newsListId = "newsList" +indexId;
	
	var tempnewsType = getstorage("titleType");
	
	setstorage("sliderId",sliderId);
	setstorage("newsListId",newsListId);
	
	var divSilder = document.querySelectorAll("#sliderList .ub-fh");
	var divContext = divSilder[index].querySelector(".mySlider").innerHTML;
	if(divContext.replace(/(^\s*)|(\s*$)/g, "") == ""){
			console.log("加载进度条" + indexId);
			Load.loadById("loadingDiv" ,$$("newsContent").offsetHeight);
			showData(sliderId,newsListId);
	}else if(tempnewsType == "2"){
			Load.loadById("loadingDiv" ,$$("newsContent").offsetHeight);
			showData(sliderId,newsListId);
	}
	resetBottomHeight();
}


function pulldownRefresh(callback){
//	 	setTimeout(function() {
//		    //恢复状态
//	        callback();
//	    }, 1000);
	
	reloadNewsData(callback);

}

function pullupRefresh(callback){
	
	loadMoreNewsList(callback);
	
//	setTimeout(function() {
//		    //恢复状态
//	        callback();
//	    }, 1000);
}


/**
 *  重新加载新闻信息
 * @param {Object} callback
 */
function reloadNewsData(callback){
//		var pageNo = 1;
//		setstorage("page" + getstorage("sliderId"),pageNo);
		
		var sliderId = getstorage("sliderId");
		var newsListId = getstorage("newsListId");
		showData(sliderId,newsListId,callback);
		
}



//新闻列表
function loadMoreNewsList(callback){
	
//	try{
		var pageNo = getstorage("page" + getstorage("sliderId"));
	
		pageNo = parseInt(pageNo) + 1;
		
		setstorage("page" + getstorage("sliderId"),pageNo);
		
		console.log("当前加载:" + getstorage("sliderId") + "   页码:" + pageNo);
		
		//新闻类型，2为专题
		var newsType = getstorage("titleType");
		//是否有子新闻
		var hassub = getstorage("titleHasSubMenu");
		//当前新闻标题的ID，加载新闻根据该ID来加载
		var titleId = getstorage("titleId");
		
		//没有二级菜单，直接获取新闻列表
		if(hassub == '0'){
			//直接获取该专题的新闻列表
			if(newsType == 2){
				doConnectToServerWithcallBack("getZtNewsList",titleId + "," + pageNo,processLoadMoreNewsList,callback);	
			}else{
				//获取该新闻
				doConnectToServerWithcallBack("getnewslist",titleId + "," + pageNo,processLoadMoreNewsList,callback);	
			}
		}else{
			doConnectToServerWithcallBackByZt("getNewsFoeBaner",titleId,processMoreNewsListWithSub,callback);
		}
		
//	}catch(ex){
//		//ignore
//		
//		console.log(ex);
//	}
	
}




/**
 *  处理专题栏目头部图片信息
 * @param {Object} json
 * @param {Object} callBack
 */
function processMoreNewsListWithSub(json,callBack){
	var length = 0;
	if(json.list){
		length = json.list.length;
	}else{
		if(callBack){
			callBack();		
		}
		
	}
	if(length > 0){
		newsCarouselMe(json);
		var titleId = getstorage("titleId");
		var pageNo = getstorage("page" + getstorage("sliderId"));
		setstorage("page" + getstorage("sliderId"),pageNo);
		
		var pa = areaId + "," + titleId + ","+pageNo;
		doConnectToServerWithcallBackByZt("getappcolumns",pa,processMoreSubMenu,callBack);
		
	}	
}

/**
 *  处理专题列表
 * @param {Object} json
 * @param {Object} callBack
 */
function processMoreSubMenu(json,callBack){
	var newsListId = getstorage("newsListId");
	var html = "";
	var tmpl = '<div class="ub ub-f1 uinn-for1 ubb b-gra4" onclick="openZhuantiList(${newsid},${newsType});">'
				+'	<div class="ub-img uwh-for2 mar-ar1"><img src="../css/project/images/onload2.png" onload="netImgShow(\'${pic}\',\'subNewsPicId_${newsid}\');" id="subNewsPicId_${newsid}" class="uwh-for2" style="background:url(../css/project/images/load-lit.png) #eee center no-repeat;"></div>'
				+'	<div class="ub-f1 ub ub-ver">'
				+'		<div class="ulev-app1 t-gra3 ulh-for">${titles}</div>'
				+'	</div>'
				+'</div>';
				
	//没有缩略图的新闻			
	var noPicTmpl = '<div class="ub ub-f1 uinn-for1 ubb b-gra4" onclick="openZhuantiList(${newsid},${newsType});">'
					+'	<div class="ub-f1 ub ub-ver">'
					+'		<div class="ulev-app1 t-gra3 ulh-for">${titles}</div>'
					+'	</div>'
					+'</div>';			
	
	for (var i = 0; i < json.list.length; i++) {
		if (json.list[i].imgpath == null || json.list[i].imgpath == "") {
			html+= noPicTmpl.replace(/\${newsid}/g,json.list[i].id).replace(/\${titles}/g,convertJsToHtml(json.list[i].name)).replace(/\${pic}/g,json.list[i].imgpath).replace(/\${newsType}/g,json.list[i].type);
		}else{
			html+= tmpl.replace(/\${newsid}/g,json.list[i].id).replace(/\${titles}/g,convertJsToHtml(json.list[i].name)).replace(/\${pic}/g,json.list[i].imgpath).replace(/\${newsType}/g,json.list[i].type);
		}
	}
	var d = document.createElement('DIV');
  	d.innerHTML=html;
	$$(newsListId).appendChild(d);
	if(callBack){
		callBack();
	}
	resetBottomHeight();
	$$("loadingDiv").innerHTML = "";	
}







/**
 *  处理新闻数据
 * @param {Object} json
 */
function processLoadMoreNewsList(json,callBack){
	
	var newsListId = getstorage("newsListId");	
	var html = "";
//	var tmpl = '<div class="ub ub-f1 uinn-for1 ubb b-gra4" onclick="openNewsDetail(${newsid},${newsType},${replycount},\'${titles}\',\'${newsIntro}\',\'${topPic}\');">'
//				+'	<div class="ub-img uwh-for2 mar-ar1"><img src="../css/project/images/onload2.png" onload="netImgShow(\'${pic}\',\'newsPicId_${newsid}\');" id="newsPicId_${newsid}" class="uwh-for2" style="background:url(../css/project/images/load-lit.png) #eee center no-repeat;"></div>'
//				+'	<div class="ub-f1 ub ub-ver">'
//				+'		<div class="ulev-app1 t-gra3 ulh-for">${titles}</div>'
//				+'		<div class="ulev-4 t-gra-b1 ulh-for uh-for2 uof">${newsIntro}</div>'
//				//+' 	<div class="ulev-4 t-gra-b1 reply-font-color">${isNew}<span style="float:right" id="${newsid}_replys_span">${clickCount}阅读&nbsp;&nbsp;${replycount}回复<span></div>'
//				
//				
//				+' 	<div class="ulev-4 t-gra-b1   reply-font-color">'
//				+'	<ul class=" ub t-bla ub-ac umar-FP1 ">'
//				+'			<li class="icon-style ub-img ${newsIcon}"></li>'
//				+'				<li class="ub-f1">'
//				+'					${isNew}<span style="float:right;" class="reply-font-color" id="${newsid}_replys_span">${clickCount}阅读&nbsp;&nbsp; ${replycount}回复</span>'
//				+'			   </li>'
//				+'	</ul>'
//				+' </div>'
//				
//				
//				
//				+'	</div>'
//				+'</div>';
//				
//	
//		//没有缩略图的新闻			
//	var noPicTmpl = '<div class="ub ub-f1 uinn-for1 ubb b-gra4" onclick="openNewsDetail(${newsid},${newsType},${replycount},\'${titles}\',\'${newsIntro}\',\'${topPic}\');">'
//					+'	<div class="ub-f1 ub ub-ver">'
//					+'		<div class="ulev-app1 t-gra3 ulh-for">${titles}</div>'
//					+'		<div class="ulev-4 t-gra-b1 ulh-for uh-for2 uof">${newsIntro}</div>'
//					//+' 	<div class="ulev-4 t-gra-b1  reply-font-color">${isNew}<span style="float:right" id="${newsid}_replys_span">${clickCount}阅读&nbsp;&nbsp;${replycount}回复<span></div>'
//					
//					
//					+' 	<div class="ulev-4 t-gra-b1   reply-font-color">'
//					+'	<ul class=" ub t-bla ub-ac umar-FP1 ">'
//					+'			<li class="icon-style ub-img ${newsIcon}"></li>'
//					+'				<li class="ub-f1">'
//					+'					${isNew}<span style="float:right;" class="reply-font-color" id="${newsid}_replys_span">${clickCount}阅读&nbsp;&nbsp; ${replycount}回复</span>'
//					+'			   </li>'
//					+'	</ul>'
//					+' </div>'
//					
//					
//					+'	</div>'
//					+'</div>';
//					
//		//图集新闻            
//var twTemp = '<ul ontouchstart="zy_touch(\'btn-act\')" class="uc-t c-m2  ub b-gra t-bla ub-ac lis uinn-for1  b-gra4" onclick="openNewsDetail(${newsid},${newsType},${replycount},\'${titles}\',\'${newsIntro}\',\'${imgPath1}\')">'
//			+'<ul class="ub-f1 ub ub-ver tx-c">'
//				+'<li class="ub-img news_list_tj"><img src="../css/project/images/onload2.png" onload="netImgShow(\'${pica}\',\'newsPicId_a_${newsid}\');" id="newsPicId_a_${newsid}" class="uwh-for2" style="background:url(../css/project/images/load-lit.png) #eee center no-repeat;" ></li>'
//			+'</ul>'
//			+'<ul class="ub-f1 ub ub-ver tx-c">'
//				+'<li class=" ub-img news_list_tj"><img src="../css/project/images/onload2.png" onload="netImgShow(\'${picb}\',\'newsPicId_b_${newsid}\');" id="newsPicId_b_${newsid}" class="uwh-for2" style="background:url(../css/project/images/load-lit.png) #eee center no-repeat;" ></li>'
//			+'</ul>'
//			+'<ul class="ub-f1 ub ub-ver tx-c">'
//				+'<li class=" ub-img news_list_tj"><img src="../css/project/images/onload2.png" onload="netImgShow(\'${picc}\',\'newsPicId_c_${newsid}\');" id="newsPicId_c_${newsid}" class="uwh-for2" style="background:url(../css/project/images/load-lit.png) #eee center no-repeat;" ></li>'
//			+'</ul>'
// 		 +'</ul>'  
//		 +'<div class="uc-t c-m2  ub b-gra t-bla ub-ac lis ubb ut-s   b-gra4">'
//		 
//		
//		 +'  <ul class=" ub t-bla ub-ac umar-FP1 " style="padding-left:0.625em;">'
//                +'          <li class="icon-style ub-img ${newsIcon}"></li>'
//				 + '${titles}'
////                +'              <li class="ub-f1">'
////                +'                  <span style="float:right;" class="reply-font-color" id="${newsid}_replys_span">${clickCount}阅读&nbsp;&nbsp; ${replycount}回复</span>'
////                +'             </li>'
//                +'</ul>'
//		+'</div>'; 	









var tmpl = '<div class="ub ub-f1 uinn-for1 ubb b-gra4" onclick="openNewsDetail(${newsid},${newsType},${replycount},\'${titles}\',\'${newsIntro}\',\'${topPic}\');">'
				+'	<div class="ub-img uwh-for2 mar-ar1"><img src="../css/project/images/onload2.png" onload="netImgShow(\'${pic}\',\'newsPicId_${newsid}\');" id="newsPicId_${newsid}" class="uwh-for2" style="background:url(../css/project/images/load-lit.png) #eee center no-repeat;"></div>'
				+'	<div class="ub-f1 ub ub-ver">'
				+'		<div class="t-gra3 ulh-for" style="font-size:1em;">${isNew}&nbsp;${simpletitle}</div>'
				+'		<div class="t-gra-b1 ulh-for uh-for2 uof" style="font-size:.85em;">${newsIntro}</div>'
				
				
				//+' 	<div class="ulev-4 t-gra-b1   reply-font-color">${isNew}<span style="float:right" id="${newsid}_replys_span">${clickCount}阅读&nbsp;&nbsp;${replycount}回复<span></div>'
				
				
				+' 	<div class="t-gra-b1 reply-font-color"  style="font-size:.85em;">'
				+'	<ul class=" ub t-bla ub-ac umar-FP1 ">'
				+'			<li class="icon-style ub-img ${newsIcon}"></li>'
				+'				<li class="ub-f1">'
				+'					${biaoqian}<span style="float:right;padding:.2em;" class="reply-font-color">${clickCount}阅读</span>'
				+'			   </li>'
				+'	</ul>'
				+' </div>'
				
				
				
				+'	</div>'
				+'</div>';
				
	//没有缩略图的新闻			
	var noPicTmpl = '<div class="ub ub-f1 uinn-for1 ubb b-gra4" onclick="openNewsDetail(${newsid},${newsType},${replycount},\'${titles}\',\'${newsIntro}\',\'${topPic}\');">'
					
					+'	<div class="ub-f1 ub ub-ver">'
					+'		<div class="t-gra3 ulh-for" style="font-size:1em;">${isNew}&nbsp;${simpletitle}</div>'
					+'		<div class="t-gra-b1 ulh-for uh-for2 uof" style="font-size:.85em;">${newsIntro}</div>'
					//+' 	<div class="ulev-4 t-gra-b1   reply-font-color">${isNew}<span style="float:right" id="${newsid}_replys_span">${clickCount}阅读&nbsp;&nbsp;${replycount}回复<span></div>'
					
					
					
					+' 	<div class="t-gra-b1 reply-font-color" style="font-size:.85em;">'
					+'	<ul class=" ub t-bla ub-ac umar-FP1 ">'
					+'			<li class="icon-style ub-img ${newsIcon}"></li>'
					+'				<li class="ub-f1">'
					+'					${biaoqian}<span style="float:right;padding:.2em;" class="reply-font-color">${clickCount}阅读</span>'
					+'			   </li>'
					+'	</ul>'
					+' </div>'
					
					
					+'	</div>'
					+'</div>';		
					
					
					
	//图集新闻            
var twTemp = ' <ul class=" ub t-bla ub-ac umar-FP1 " style="margin-left:1em;margin-top:.5em;margin-bottom:.3em">'
//				 +'          <li class="icon-style ub-img ${newsIcon}"></li>'
				 + '${simpletitle}'
//                +'              <li class="ub-f1">'
//                +'                  <span style="float:right;" class="reply-font-color" id="${newsid}_replys_span">${clickCount}阅读&nbsp;&nbsp; ${replycount}回复</span>'
//                +'             </li>'
                +'</ul>'


			+ '<ul ontouchstart="zy_touch(\'btn-act\')" class="uc-t c-m2  ub b-gra t-bla ub-ac lis uinn-for1  b-gra4" style="padding:0;padding-top:0.3em;padding-bottom:0.1em;" onclick="openNewsDetail(${newsid},${newsType},${replycount},\'${titles}\',\'${newsIntro}\',\'${imgPath1}\')">'
			+'<ul class="ub-f1 ub ub-ver tx-c">'
				+'<li class="ub-img news_list_tj"><img src="../css/project/images/onload2.png" onload="netImgShow(\'${pica}\',\'newsPicId_a_${newsid}\');" id="newsPicId_a_${newsid}" class="uwh-for3" style="background:url(../css/project/images/load-lit.png) #eee center no-repeat;" ></li>'
			+'</ul>'
			+'<ul class="ub-f1 ub ub-ver tx-c">'
				+'<li class=" ub-img news_list_tj"><img src="../css/project/images/onload2.png" onload="netImgShow(\'${picb}\',\'newsPicId_b_${newsid}\');" id="newsPicId_b_${newsid}" class="uwh-for3" style="background:url(../css/project/images/load-lit.png) #eee center no-repeat;" ></li>'
			+'</ul>'
			+'<ul class="ub-f1 ub ub-ver tx-c">'
				+'<li class=" ub-img news_list_tj"><img src="../css/project/images/onload2.png" onload="netImgShow(\'${picc}\',\'newsPicId_c_${newsid}\');" id="newsPicId_c_${newsid}" class="uwh-for3" style="background:url(../css/project/images/load-lit.png) #eee center no-repeat;" ></li>'
			+'</ul>'
 		 +'</ul><div class="biaoqiandiv">${biaoqian}<span style="float:right;padding:.2em;" class="reply-font-color">${clickCount}阅读</span></div><div style="clear:both"></div><div class="ub ub-f1  ubb b-gra4" style="margin-top:.4em;margin-left:0.625em;margin-right:0.625em;"></div>';	





				
				
	for (var i = 0; i < json.list.length; i++) {
	    var label = json.list[i].label_type;
        if(!label || label=='null')label="";
        else if(json.list[i].type=="2"){
            label = '<span class="biaoqian2">'+label+'</span>';
        }
        else{
            label = '<span class="biaoqian">'+label+'</span>';
        }
		if(json.list[i].type == "2"){
		    if(!label)label='<span class="biaoqian2_null"></span>';
			html+= twTemp.replace(/\${clickCount}/g,json.list[i].click).replace(/\${newsid}/g,json.list[i].id).replace(/\${titles}/g,convertJsToHtml(json.list[i].title)).replace(/\${simpletitle}/g,convertJsToHtml(json.list[i].simpletitle)).replace(/\${replycount}/g,json.list[i].replys).replace(/\${pica}/g,json.list[i].imgpath1).replace(/\${picb}/g,json.list[i].imgpath2).replace(/\${picc}/g,json.list[i].imgpath3).replace(/\${newsType}/g,json.list[i].type).replace(/\${tpId}/g,json.list[i].id + i).replace(/\${newsIntro}/g,json.list[i].intro).replace(/\${topPic}/g, json.list[i].orgimgpath1).replace(/\${biaoqian}/g,label);
		}else if (json.list[i].imgpath1 == null || json.list[i].imgpath1 == "") {
			html+= noPicTmpl.replace(/\${clickCount}/g,json.list[i].click).replace(/\${newsid}/g,json.list[i].id).replace(/\${titles}/g,convertJsToHtml(json.list[i].title)).replace(/\${simpletitle}/g,convertJsToHtml(json.list[i].simpletitle)).replace(/\${replycount}/g,json.list[i].replys).replace(/\${pic}/g,json.list[i].imgpath1).replace(/\${newsType}/g,json.list[i].type).replace(/\${tpId}/g,json.list[i].id + i).replace(/\${newsIntro}/g,json.list[i].intro).replace(/\${topPic}/g, json.list[i].orgimgpath1).replace(/\${biaoqian}/g,label);
		}else{
			html+= tmpl.replace(/\${clickCount}/g,json.list[i].click).replace(/\${newsid}/g,json.list[i].id).replace(/\${titles}/g,convertJsToHtml(json.list[i].title)).replace(/\${simpletitle}/g,convertJsToHtml(json.list[i].simpletitle)).replace(/\${replycount}/g,json.list[i].replys).replace(/\${pic}/g,json.list[i].imgpath1).replace(/\${newsType}/g,json.list[i].type).replace(/\${tpId}/g,json.list[i].id + i).replace(/\${newsIntro}/g,json.list[i].intro).replace(/\${topPic}/g, json.list[i].orgimgpath1).replace(/\${biaoqian}/g,label);
		}
		
		
		//1、新闻 2、图集 3、推广  4、视频
		if(json.list[i].type == "2"){
			html = html.replace(/\${newsIcon}/g,picIcon);
		}else if(json.list[i].type == "4"){
			html = html.replace(/\${newsIcon}/g,vedioIcon);
		}else{
			html = html.replace(/\${newsIcon}/g,newsIcon);
		}
		
		
		
		if(json.list[i].isnew == "1"){
			html = html.replace(/\${isNew}/g,isNewHtml);
		}else{
			html = html.replace(/\${isNew}/g,'');
		}
	}
	var d = document.createElement('DIV');
  	d.innerHTML=html;
	$$(newsListId).appendChild(d);
	
	resetBottomHeight();

    if(json.list.length<=0){
        uexWindow.toast('0', '5', '没有更多内容了', 1500);
    }
	
	if(callBack){
		callBack();	
	}
	
}





function reloadByIndexPageChange(){
		var pageMoveX = getLocVal("newsContentMoveX");
		if(pageMoveX){
					var newsOuter = document.querySelectorAll(".mySlider");
					var newsSlider = document.querySelectorAll(".mui-slider");
			        for (var i = 0; i < newsOuter.length; i++) {
			              newsOuter[i].style.webkitTransition = '-webkit-transform 0s';
			              newsOuter[i].style.webkitTransform = 'translate3d(' + pageMoveX + 'px, 0, 0)';
			        }
			        
			        
			        for (var i = 0; i < newsSlider.length; i++) {
			            newsSlider.style.webkitTransition = '-webkit-transform 0s';
			            newsSlider.style.webkitTransform = 'translate3d(' + pageMoveX + 'px, 0, 0)';
			        }
		}
}
