/**
 *  根据距离来移动菜单
 * @param {Object} pageX
 */
function move(pageX){
    //处理左边到头后就不能再次滑动
    if (pageX > 0) {
        init();
        //回弹动作
        if (pageX > 15) {
            pageX = 15;
        }
    }
    else 
        if (totalWidth < (-pageX)) {
            //已经右边到头了
            last();
            if (pageX + totalWidth < -15) {
                pageX = (-totalWidth) - 15;
            }
        }
    setTranslate(pageX);
    
}

var startPageX = 0;
//上一次移动的距离
var currentMove = 0;
var tmp = 0;
var maxMove = 0;

//设置div菜单的宽度
var totalWidth = -$$("subTitle").offsetWidth;

var parentDiv = $$("subTitle").getElementsByTagName("div");
for (var i = 0; i < parentDiv.length; i++) {
    //获取所有DIV的长度	
    var isFirst = parentDiv[i].getAttribute("isFirst");
    if (isFirst == "yes") {
        totalWidth += parentDiv[i].offsetWidth;
    }
    
    
}


/**
 *	左边到头处理
 */
function init(){
    tmp = 0;
    currentMove = 0;
    startPageX = 0;
}

/**
 * 右边到头处理
 */
function last(){
    tmp = -(totalWidth);
}

/**
 *  触摸开始事件
 * @param {Object} evt
 */
function startHandler(evt){
    evt.preventDefault();
    startPageX = evt.touches[0].pageX;
}

/**
 *  触摸移动事件
 * @param {Object} evt
 */
function moveHandler(evt){
    evt.preventDefault();
    tmp = currentMove + (evt.targetTouches[0].pageX - startPageX);
//    move(tmp);
	 //处理左边到头后就不能再次滑动
    if (tmp > 0) {
        init();
    }
    else 
        if (totalWidth < (-tmp)) {
            //已经右边到头了
            last();
        }
	var divObj = $$("subTitle").getElementsByTagName("div");
    for (var i = 0; i < divObj.length; i++) {
        var isFirst = divObj[i].getAttribute("isFirst");
        if (isFirst == "yes") {
            divObj[i].style.webkitTransition = '-webkit-transform 0s ease-out';
            divObj[i].style.webkitTransform = 'translate3d(' + tmp + 'px, 0, 0)';
        }
    }


}

/**
 *  触摸结束事件
 * @param {Object} evt
 */
function endHandler(evt){
    evt.preventDefault();
    currentMove = tmp;
    maxMove = tmp;
    //如果左边已经到头了，那么恢复到初始值
    if (tmp == 0) {
        setTranslate(0);
    }
    //右边已经到头了
    if (tmp == -(totalWidth)) {
        setTranslate(tmp);
    }
}

/**
 *  设置DIV 滑动
 * @param {Object} move  滑动的距离
 */
function setTranslate(move){
    var divObj = $$("subTitle").getElementsByTagName("div");
    for (var i = 0; i < divObj.length; i++) {
        var isFirst = divObj[i].getAttribute("isFirst");
        if (isFirst == "yes") {
            divObj[i].style.webkitTransition = '-webkit-transform 0.1s ease-out';
            divObj[i].style.webkitTransform = 'translate3d(' + move + 'px, 0, 0)';
        }
    }
}

function sliderTitle(){
	var outer = $$("subTitle");
	outer.addEventListener('touchstart', startHandler);
	outer.addEventListener('touchmove', moveHandler);
	outer.addEventListener('touchend', endHandler);
	bindClick();
}


/**
 *  绑定点击事件
 */
function bindClick(){
    var clickObj = $$("subTitle").querySelectorAll(".fontcolor");
    console.log(clickObj.length);
    for (var i = 0; i < clickObj.length; i++) {
        clickObj[i].addEventListener("click", function(e){
        
            var indexId = e.target.getAttribute("index");
			if(indexId){
				for (var i = 0; i < clickObj.length; i++) {
	                clickObj[i].className = "tx-c uinn-hnfn1 ulev-app1 title-height fontcolor";
	                if (i == indexId) {
	                    clickObj[i].className = "tx-c uinn-hnfn1 ulev-app1 title-height fontcolor titleChecked";
	                }
	            }
	            ueppscript("", "content", "changeTab('" + indexId + "')");
			}
            
        });
    }
}


